Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Class LineCap

    Object
      CodeList<E>
          SimpleEnumerationType<LineCap>
              LineCap

All Implemented Interfaces:
  Serializable, Comparable<LineCap>

    public class LineCap

extends SimpleEnumerationType<LineCap>

Instances of `LineCap` indicate the various ways of capping the end of a styled line. This class defines static constants for all of the standard choices.

See Also:
  Serialized Form

Field Summary
`static LineCap` | `BUTT` This constant indicates that line ends should be drawn with no extra decoration.
`static LineCap` | `ROUND` This constant indicates that line ends should be drawn with a half circle of diameter equal to the width of the line.
`static LineCap` | `SQUARE` This constant indicates that the line should be capped by a straight line extending half the line's width past the endpoint of the line.

Constructor Summary
`protected` | `LineCap(String name, String description)` Construct a new LineCap with the given name and description.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static LineCap[]` | `values()` Returns the list of `LineCap`s.

Methods inherited from class SimpleEnumerationType
`getDescription, getIcon, getNullIcon, loadIconResource, toString`

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BUTT

    public static final LineCap BUTT

  This constant indicates that line ends should be drawn with no extra decoration.

### ROUND

    public static final LineCap ROUND

  This constant indicates that line ends should be drawn with a half circle of diameter equal to the width of the line.

### SQUARE

    public static final LineCap SQUARE

  This constant indicates that the line should be capped by a straight line extending half the line's width past the endpoint of the line.

Constructor Detail

### LineCap

    protected LineCap(String name,
                      String description)

  Construct a new LineCap with the given name and description. This constructor should only be used to make the static constants in this class or by a provider subclasses to create implementation specific styles that can be accessed by `DisplayCapabilities.getSupportedLineCaps()`.

  Parameters:
    `name` - a String defining the name of the Arrow pattern.
    `description` - a String describing the pattern.

Method Detail

### values

    public static LineCap[] values()

  Returns the list of `LineCap`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<LineCap>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.